"""adcionado mais colunas de metadados

Revision ID: badb949e5a81
Revises: 3603f39bc735
Create Date: 2020-09-13 17:19:39.432364

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'badb949e5a81'
down_revision = '3603f39bc735'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('meta_dado', sa.Column('ApertureValue', sa.Integer(), nullable=True))
    op.add_column('meta_dado', sa.Column('ColorSpace', sa.Integer(), nullable=True))
    op.add_column('meta_dado', sa.Column('ComponentsConfiguration', sa.String(length=50), nullable=True))
    op.add_column('meta_dado', sa.Column('Contrast', sa.Integer(), nullable=True))
    op.add_column('meta_dado', sa.Column('CustomRendered', sa.Integer(), nullable=True))
    op.add_column('meta_dado', sa.Column('DateTimeDigitized', sa.DateTime(timezone=True), nullable=True))
    op.add_column('meta_dado', sa.Column('DateTimeOriginal', sa.DateTime(timezone=True), nullable=True))
    op.add_column('meta_dado', sa.Column('DateTime_', sa.DateTime(timezone=True), nullable=True))
    op.add_column('meta_dado', sa.Column('DigitalZoomRatio', sa.Integer(), nullable=True))
    op.add_column('meta_dado', sa.Column('ExifImageHeight', sa.Integer(), nullable=True))
    op.add_column('meta_dado', sa.Column('ExifImageWidth', sa.Integer(), nullable=True))
    op.add_column('meta_dado', sa.Column('ExifInteroperabilityOffset', sa.Integer(), nullable=True))
    op.add_column('meta_dado', sa.Column('ExifOffset', sa.Integer(), nullable=True))
    op.add_column('meta_dado', sa.Column('ExifVersion', sa.Integer(), nullable=True))
    op.add_column('meta_dado', sa.Column('ExposureMode', sa.Integer(), nullable=True))
    op.add_column('meta_dado', sa.Column('ExposureProgram', sa.Integer(), nullable=True))
    op.add_column('meta_dado', sa.Column('ExposureTime', sa.Integer(), nullable=True))
    op.add_column('meta_dado', sa.Column('FNumber', sa.Integer(), nullable=True))
    op.add_column('meta_dado', sa.Column('Flash', sa.Integer(), nullable=True))
    op.add_column('meta_dado', sa.Column('FlashPixVersion', sa.String(length=50), nullable=True))
    op.add_column('meta_dado', sa.Column('FocalLength', sa.Integer(), nullable=True))
    op.add_column('meta_dado', sa.Column('FocalLengthIn35mmFilm', sa.Integer(), nullable=True))
    op.add_column('meta_dado', sa.Column('ISOSpeedRatings', sa.Integer(), nullable=True))
    op.add_column('meta_dado', sa.Column('ImageLength', sa.Integer(), nullable=True))
    op.add_column('meta_dado', sa.Column('ImageWidth', sa.Integer(), nullable=True))
    op.add_column('meta_dado', sa.Column('Make', sa.String(length=50), nullable=True))
    op.add_column('meta_dado', sa.Column('MakerNote', sa.Integer(), nullable=True))
    op.add_column('meta_dado', sa.Column('MaxApertureValue', sa.Integer(), nullable=True))
    op.add_column('meta_dado', sa.Column('MeteringMode', sa.Integer(), nullable=True))
    op.add_column('meta_dado', sa.Column('Model', sa.String(length=50), nullable=True))
    op.add_column('meta_dado', sa.Column('Orientation', sa.Integer(), nullable=True))
    op.add_column('meta_dado', sa.Column('ResolutionUnit', sa.Integer(), nullable=True))
    op.add_column('meta_dado', sa.Column('Saturation', sa.Integer(), nullable=True))
    op.add_column('meta_dado', sa.Column('SceneCaptureType', sa.Integer(), nullable=True))
    op.add_column('meta_dado', sa.Column('SceneType', sa.Integer(), nullable=True))
    op.add_column('meta_dado', sa.Column('SensingMethod', sa.Integer(), nullable=True))
    op.add_column('meta_dado', sa.Column('Sharpness', sa.Integer(), nullable=True))
    op.add_column('meta_dado', sa.Column('Software', sa.String(length=50), nullable=True))
    op.add_column('meta_dado', sa.Column('SubjectDistance', sa.Integer(), nullable=True))
    op.add_column('meta_dado', sa.Column('SubjectDistanceRange', sa.Integer(), nullable=True))
    op.add_column('meta_dado', sa.Column('SubsecTime', sa.String(length=50), nullable=True))
    op.add_column('meta_dado', sa.Column('SubsecTimeDigitized', sa.String(length=50), nullable=True))
    op.add_column('meta_dado', sa.Column('SubsecTimeOriginal', sa.String(length=50), nullable=True))
    op.add_column('meta_dado', sa.Column('WhiteBalance', sa.Integer(), nullable=True))
    op.add_column('meta_dado', sa.Column('XResolution', sa.String(length=50), nullable=True))
    op.add_column('meta_dado', sa.Column('YCbCrPositioning', sa.Integer(), nullable=True))
    op.add_column('meta_dado', sa.Column('YResolution', sa.String(length=50), nullable=True))
    op.drop_column('meta_dado', 'copyright')
    op.drop_column('meta_dado', 'mime_type')
    op.drop_column('meta_dado', 'author')
    op.drop_column('meta_dado', 'dimensions')
    op.drop_column('meta_dado', 'camera_maker_model')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('meta_dado', sa.Column('camera_maker_model', sa.VARCHAR(length=50), autoincrement=False, nullable=True))
    op.add_column('meta_dado', sa.Column('dimensions', sa.VARCHAR(length=50), autoincrement=False, nullable=True))
    op.add_column('meta_dado', sa.Column('author', sa.VARCHAR(length=50), autoincrement=False, nullable=True))
    op.add_column('meta_dado', sa.Column('mime_type', sa.VARCHAR(length=50), autoincrement=False, nullable=True))
    op.add_column('meta_dado', sa.Column('copyright', sa.VARCHAR(length=50), autoincrement=False, nullable=True))
    op.drop_column('meta_dado', 'YResolution')
    op.drop_column('meta_dado', 'YCbCrPositioning')
    op.drop_column('meta_dado', 'XResolution')
    op.drop_column('meta_dado', 'WhiteBalance')
    op.drop_column('meta_dado', 'SubsecTimeOriginal')
    op.drop_column('meta_dado', 'SubsecTimeDigitized')
    op.drop_column('meta_dado', 'SubsecTime')
    op.drop_column('meta_dado', 'SubjectDistanceRange')
    op.drop_column('meta_dado', 'SubjectDistance')
    op.drop_column('meta_dado', 'Software')
    op.drop_column('meta_dado', 'Sharpness')
    op.drop_column('meta_dado', 'SensingMethod')
    op.drop_column('meta_dado', 'SceneType')
    op.drop_column('meta_dado', 'SceneCaptureType')
    op.drop_column('meta_dado', 'Saturation')
    op.drop_column('meta_dado', 'ResolutionUnit')
    op.drop_column('meta_dado', 'Orientation')
    op.drop_column('meta_dado', 'Model')
    op.drop_column('meta_dado', 'MeteringMode')
    op.drop_column('meta_dado', 'MaxApertureValue')
    op.drop_column('meta_dado', 'MakerNote')
    op.drop_column('meta_dado', 'Make')
    op.drop_column('meta_dado', 'ImageWidth')
    op.drop_column('meta_dado', 'ImageLength')
    op.drop_column('meta_dado', 'ISOSpeedRatings')
    op.drop_column('meta_dado', 'FocalLengthIn35mmFilm')
    op.drop_column('meta_dado', 'FocalLength')
    op.drop_column('meta_dado', 'FlashPixVersion')
    op.drop_column('meta_dado', 'Flash')
    op.drop_column('meta_dado', 'FNumber')
    op.drop_column('meta_dado', 'ExposureTime')
    op.drop_column('meta_dado', 'ExposureProgram')
    op.drop_column('meta_dado', 'ExposureMode')
    op.drop_column('meta_dado', 'ExifVersion')
    op.drop_column('meta_dado', 'ExifOffset')
    op.drop_column('meta_dado', 'ExifInteroperabilityOffset')
    op.drop_column('meta_dado', 'ExifImageWidth')
    op.drop_column('meta_dado', 'ExifImageHeight')
    op.drop_column('meta_dado', 'DigitalZoomRatio')
    op.drop_column('meta_dado', 'DateTime_')
    op.drop_column('meta_dado', 'DateTimeOriginal')
    op.drop_column('meta_dado', 'DateTimeDigitized')
    op.drop_column('meta_dado', 'CustomRendered')
    op.drop_column('meta_dado', 'Contrast')
    op.drop_column('meta_dado', 'ComponentsConfiguration')
    op.drop_column('meta_dado', 'ColorSpace')
    op.drop_column('meta_dado', 'ApertureValue')
    # ### end Alembic commands ###
